<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.45
Description: Template: Administratief geboortebericht fase 1a
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.90.45">
   <title>Administratief geboortebericht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]"
         id="tmp-bd2b063e-1014-4a95-838c-457f401cb357">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:registrationProcess)&gt;=1 and not(hl7:registrationProcess/@nullFlavor)">(admgeboorte-1a): element hl7:registrationProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:registrationProcess)&lt;=1">(admgeboorte-1a): element hl7:registrationProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess"
         id="tmp-6511abe7-28bc-4eba-81be-65e1e98f9ce6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="string(@moodCode)='EVN'">(admgeboorte-1a): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(admgeboorte-1a): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:code)&lt;=1">(admgeboorte-1a): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(admgeboorte-1a): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:statusCode)&lt;=1">(admgeboorte-1a): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:effectiveTime)&lt;=1">(admgeboorte-1a): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:subject1)&gt;=1 and not(hl7:subject1/@nullFlavor)">(admgeboorte-1a): element hl7:subject1 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:subject1)&lt;=1">(admgeboorte-1a): element hl7:subject1 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:code
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:code"
         id="tmp-3830e0ee-134c-43fa-9641-8dba8b828ff1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or (@code='118118' and @codeSystem='2.16.840.1.113883.2.4.15.4')">(admgeboorte-1a): de waarde van @code/@codeSystem MOET ''118118' codeSystem '2.16.840.1.113883.2.4.15.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:statusCode
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:statusCode"
         id="tmp-f3ec5264-9522-47c3-9478-37ebfa50f451">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or (@code='active')">(admgeboorte-1a): de waarde van @code MOET ''active'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:effectiveTime
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:effectiveTime"
         id="tmp-dc600ace-3a8d-4e8d-a879-cfe74464faa1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1"
         id="tmp-742651c2-4371-4efb-94ba-d1ed923d473e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:IdentifiedPerson)&gt;=1 and not(hl7:IdentifiedPerson/@nullFlavor)">(admgeboorte-1a): element hl7:IdentifiedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:IdentifiedPerson)&lt;=1">(admgeboorte-1a): element hl7:IdentifiedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson"
         id="tmp-841f553c-4b63-46ca-89d5-a774f3e87d6a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:identifiedPerson)&gt;=1 and not(hl7:identifiedPerson/@nullFlavor)">(admgeboorte-1a): element hl7:identifiedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:identifiedPerson)&lt;=1">(admgeboorte-1a): element hl7:identifiedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:id
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:id"
         id="tmp-6d659e96-7cf0-453a-83e8-166475eea4d1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:addr
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:addr"
         id="tmp-397b826a-ff50-4e7b-91a3-1d490b149082">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:statusCode
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:statusCode"
         id="tmp-3264465c-f72f-4ec2-be9a-a205f15b542a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson
Item: (admgeboorte-1a)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:name
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:name"
         id="tmp-de134f73-9ae6-4f71-a49d-94ac3c36e974">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:administrativeGenderCode
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:administrativeGenderCode"
         id="tmp-98d65e96-1542-4bee-9f88-b177a09e172d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:birthTime
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:birthTime"
         id="tmp-bc69395d-0233-4d4e-b56a-f9ddfd39ee85">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:scopedBirthPlace
Item: (admgeboorte-1a)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:scopedBirthPlace/hl7:addr
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:scopedBirthPlace/hl7:addr"
         id="tmp-cd9f6d57-32f7-4996-a96f-bf789c1abf8b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:contact
Item: (admgeboorte-1a)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:contact/hl7:code
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:contact/hl7:code"
         id="tmp-b575a175-0b31-47e2-947f-d5e0db353222">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:contact/hl7:telecom
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:contact/hl7:telecom"
         id="tmp-ffed113f-cb64-41fc-a7b7-7f7fb315da21">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:contact/hl7:effectiveTime
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:contact/hl7:effectiveTime"
         id="tmp-8df5690f-ffed-416e-848d-0153218ddf16">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder"
         id="tmp-db49f34b-49a1-4e5e-b8a2-3fa585cec47d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(admgeboorte-1a): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="count(hl7:code)&lt;=1">(admgeboorte-1a): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:id
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:id"
         id="tmp-9f6e784a-e0b2-4200-9e16-83b68e4785fc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:addr
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:addr"
         id="tmp-d5c6ef9d-d40c-4c42-a7dd-220e59d77da4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:code
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:code"
         id="tmp-0b4d0f1b-1bc3-4686-9843-e44b1f63d750">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or (@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111')">(admgeboorte-1a): de waarde van @code/@codeSystem MOET ''NMTH' codeSystem '2.16.840.1.113883.5.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:relationshipHolder
Item: (admgeboorte-1a)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:relationshipHolder/hl7:name
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:relationshipHolder/hl7:name"
         id="tmp-04a81246-8ba0-497f-b72d-22876f0db500">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:relationshipHolder/hl7:birthTime
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:identifiedPerson/hl7:relationshipHolder/hl7:relationshipHolder/hl7:birthTime"
         id="tmp-68658c92-7e76-4420-99ac-47a74bf522eb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization"
         id="tmp-34534197-e80f-4ab6-aaaf-78aa86bbdd28">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="string(@classCode)='ORG'">(admgeboorte-1a): de waarde van @classCode MOET 'ORG' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:id
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:id"
         id="tmp-06558865-a075-426a-b2aa-48c9610b43df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:code
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:code"
         id="tmp-5dd0dfd5-2fc4-461c-accd-798e972fa963">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:name
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:name"
         id="tmp-70bea1b8-406e-4715-89ad-32247b02a3f8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:contact
Item: (admgeboorte-1a)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.45
Context: hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:contact/hl7:addr
Item: (admgeboorte-1a)
-->

<rule context="hl7:subject[hl7:registrationProcess]/hl7:registrationProcess/hl7:subject1/hl7:IdentifiedPerson/hl7:assigningOrganization/hl7:contact/hl7:addr"
         id="tmp-ac37f1ba-1b01-46a1-bcbd-60798c565531">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.45.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (admgeboorte-1a): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
