<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.3
Description: Template voor CDA document Combinatietest kansbepaling
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.90.3">
   <title>Combinatietest kansbepaling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /
Item: (cda-ctk)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument"
         id="tmp-dbb0663c-3b80-4106-95cf-170b3fa37e10">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(cda-ctk): element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:realmCode)&lt;=1">(cda-ctk): element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(cda-ctk): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(cda-ctk): element hl7:typeId[@root='2.16.840.1.113883.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3']/@nullFlavor)">(cda-ctk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3'])&lt;=1">(cda-ctk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(cda-ctk): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(cda-ctk): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(cda-ctk): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(cda-ctk): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:title)&lt;=1">(cda-ctk): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(cda-ctk): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(cda-ctk): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:confidentialityCode)&gt;=1 and not(hl7:confidentialityCode/@nullFlavor)">(cda-ctk): element hl7:confidentialityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:confidentialityCode)&lt;=1">(cda-ctk): element hl7:confidentialityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(cda-ctk): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:languageCode)&lt;=1">(cda-ctk): element hl7:languageCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:setId)&lt;=1">(cda-ctk): element hl7:setId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:versionNumber)&lt;=1">(cda-ctk): element hl7:versionNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(cda-ctk): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:recordTarget)&lt;=1">(cda-ctk): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(cda-ctk): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(cda-ctk): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:custodian)&lt;=1">(cda-ctk): element hl7:custodian komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDArealmCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: CDArealmCode
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDArealmCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:realmCode
Item: (CDArealmCode)
-->

<rule context="/hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-df50095c-3812-42b7-998f-8c42fcc1ba8d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDArealmCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='NL')">(CDArealmCode): de waarde van @code MOET ''NL'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAtypeId)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: CDAtypeId
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAtypeId)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

<rule context="/hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-aa1a528a-2547-4adf-be7f-dac030a9f196">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAtypeId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): de waarde van @extension MOET 'POCD_HD000040' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root MOET de waarde '2.16.840.1.113883.1.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAtypeId): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3']
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3']"
         id="tmp-36ab7809-d948-43fd-b01c-86325592b70f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (cda-ctk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.90.3'">(cda-ctk): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.90.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(cda-ctk): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:id
Item: (CDAid)
-->

<rule context="/hl7:ClinicalDocument/hl7:id"
         id="tmp-b4b7bd74-5f89-40a7-868e-9b3cb9858084">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:code
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument/hl7:code"
         id="tmp-41fe0949-0e57-48ad-9d6b-e751da9e2f45">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (cda-ctk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='51898-5' and @codeSystem='2.16.840.1.113883.6.1')">(cda-ctk): de waarde van @code/@codeSystem MOET ''51898-5' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAtitle)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAtitle)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:title
Item: (CDAtitle)
-->

<rule context="/hl7:ClinicalDocument/hl7:title"
         id="tmp-5f997324-974c-425c-90a0-a87e80668e94">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAtitle): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAeffectiveTime)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAeffectiveTime)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

<rule context="/hl7:ClinicalDocument/hl7:effectiveTime"
         id="tmp-d93cb55a-cb18-412e-b317-0617b1d257c0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAeffectiveTime): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATETIME.MIN" bevatten</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAconfidentialityCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:confidentialityCode
Item: (CDAconfidentialityCode)
-->

<rule context="/hl7:ClinicalDocument/hl7:confidentialityCode"
         id="tmp-aba4f025-0fce-455a-a044-d56e37f38b84">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAconfidentialityCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-Confidentiality-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Confidentiality-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAconfidentialityCode): de waarde van @code MOET worden gekozen uit waardenlijst Confidentiality DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAconfidentialityCode): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Confidentiality DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAlanguageCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:languageCode
Item: (CDAlanguageCode)
-->

<rule context="/hl7:ClinicalDocument/hl7:languageCode"
         id="tmp-784f7362-02c0-45bd-bae1-c81f854e0d72">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAlanguageCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS.LANG" bevatten</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAsetIdversionNumber)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAsetIdversionNumber)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:setId
Item: (CDAsetIdversionNumber)
-->

<rule context="/hl7:ClinicalDocument/hl7:setId"
         id="tmp-d26e3a63-530b-4c0f-8b49-ac2e837bbe79">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAsetIdversionNumber): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:versionNumber
Item: (CDAsetIdversionNumber)
-->

<rule context="/hl7:ClinicalDocument/hl7:versionNumber"
         id="tmp-590a2f3d-7268-436a-a30b-637777b893b5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAsetIdversionNumber): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.NONNEG" bevatten</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDAsetIdversionNumber): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(CDAsetIdversionNumber): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(../hl7:setId and ../hl7:versionNumber) or not (../hl7:setId or ../hl7:versionNumber)">(CDAsetIdversionNumber): Clinical Document setId and versionNumber SHALL be both present or both absent</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDArecordTarget)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDArecordTarget)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget"
         id="tmp-da453e50-2390-430e-9930-7752d9f95368">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextControlCode)='OP'">(CDArecordTarget): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='RCT'">(CDArecordTarget): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(CDArecordTarget): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole"
         id="tmp-fbd1ba62-1a4d-4948-bda0-cf84681eed28">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='PAT'">(CDArecordTarget): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDArecordTarget): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(CDArecordTarget): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:addr)&lt;=2">(CDArecordTarget): element hl7:addr komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(CDArecordTarget): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (Burgerservicenummer)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-ce0a3217-674c-47fe-b3e1-e8b634f0ec41">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Burgerservicenummer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-350727c0-5c20-48b0-b2c8-665b9a0d3dbd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-85e65a6d-aed3-4163-a72c-7fbf22ad6795">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@use) or string-length(normalize-space(replace (@use, 'HP|PHYS|TMP', '')))=0">(CDArecordTarget): Attribute @use of addr SHALL contain codes HP PHYS PST or TMP only</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="../hl7:addr[@use='HP' or @use='TMP PHYS']">(CDArecordTarget): Addr SHALL be present with @use HP or TMP PHYS or both</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-70e775a3-2f36-469f-bd8e-630d6d268ea5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-bc424ffd-29af-487f-96d1-abcc6517b29d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='PSN'">(CDArecordTarget): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDArecordTarget): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&lt;=2">(CDArecordTarget): element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(CDArecordTarget): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-930ecce2-719f-4d18-9e87-c112f96a69c3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode"
         id="tmp-2cb34600-04ae-4104-98f8-858399604819">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDArecordTarget): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDArecordTarget): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-8d2f909a-0fcb-4660-b1ea-2ca101cfd8aa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAauthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAauthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author"
         id="tmp-16bd8165-78b4-44ac-ac29-37bea609bafc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextControlCode)='OP'">(CDAauthor): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='AUT'">(CDAauthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:time
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:time"
         id="tmp-2f69e18d-86d1-41a7-b583-59b485230eb8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor"
         id="tmp-8865d9eb-b713-403b-b11b-d4be5e3e4521">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$elmcount&gt;=1">(CDAauthor): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.840.1.113883.2.4.6.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CDAauthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor"
         id="tmp-e4e44124-af29-42ea-afc4-2993af2ec30b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.840.1.113883.2.4.6.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-25181afe-ed71-44ae-ae9b-326b18166d8b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(CDAauthor): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string-length(@extension)&gt;0">(CDAauthor): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-63be56e4-75a5-4cc5-96a4-eb8d3df82dbf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.AGB" bevatten</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.1'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string-length(@extension)&gt;0">(CDAauthor): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']"
         id="tmp-4bb6c13c-48b0-4bc4-b422-2662b59bd46f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.22.98.2'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.2' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string-length(@extension)&gt;0">(CDAauthor): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:code
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-e3fc6df9-0c6d-4636-b900-31c956396e08">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAauthor): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAauthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-7aae0867-e89f-4d60-978b-a23e5aef4a8c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='PSN'">(CDAauthor): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-2ee3c515-c3b6-4994-bf26-dce3061303cc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-b68eff87-e9e7-44e8-b6c2-05661e58e565">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='ORG'">(CDAauthor): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAauthor): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(peri:code)&lt;=1">(CDAauthor): element peri:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (ZorginstellingOID)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (ZorginstellingOID)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-d92a610a-77c2-49c9-a6cd-b127391cf061">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ZorginstellingOID): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-2f87a1cf-6e28-4e58-b028-2e341cfe944c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.AGB" bevatten</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.1'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']"
         id="tmp-a4de03c3-360d-43f2-ab9a-ab93ade64f14">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.22.98.1'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-0c9a5658-abe0-4cad-9c80-1479a2991674">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(CDAauthor): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-b1e6ba74-935d-465c-9bb8-977879aba929">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/peri:code
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/peri:code"
         id="tmp-3480ac62-2b6f-46de-8be5-36064ceb08d1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAauthor): de waarde van @code MOET worden gekozen uit waardenlijst ZorgaanbiederType DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAauthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAcustodian)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAcustodian)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:custodian
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian"
         id="tmp-bc43e707-7a56-4c84-9fd3-eb283769c92e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='CST'">(CDAcustodian): de waarde van @typeCode MOET 'CST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian"
         id="tmp-505b991c-545e-420e-ba79-d809f013fa42">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='ASSIGNED'">(CDAcustodian): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:representedCustodianOrganization)&gt;=1 and not(hl7:representedCustodianOrganization/@nullFlavor)">(CDAcustodian): element hl7:representedCustodianOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-b8010fb4-b1f0-4fbd-91a8-5e4cd30a0c1b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@determinerCode)='INSTANCE'">(CDAcustodian): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='ORG'">(CDAcustodian): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAcustodian): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(CDAcustodian): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-a276794e-aeee-4c98-8862-1e1e99e29521">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAcustodian): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-67072988-03a6-45a8-8151-fcf7eeac80b1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAcustodian): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-41825662-7253-472d-b62c-12c06c3a1141">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAcustodian): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAinformationRecipient)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient"
         id="tmp-f550846b-6bb5-4eea-a024-34d4235a4ae1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='PRCP' or string(@typeCode)='TRC'">(CDAinformationRecipient): de waarde van @typeCode MOET één van de volgende codes bevatten: PRCP', 'TRC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:intendedRecipient)&gt;=1 and not(hl7:intendedRecipient/@nullFlavor)">(CDAinformationRecipient): element hl7:intendedRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:intendedRecipient)&lt;=1">(CDAinformationRecipient): element hl7:intendedRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient"
         id="tmp-26ab2b89-3380-4efb-92bf-9483bd6bfffc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='ASSIGNED'">(CDAinformationRecipient): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:informationRecipient)&lt;=1">(CDAinformationRecipient): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:receivedOrganization)&lt;=1">(CDAinformationRecipient): element hl7:receivedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient"
         id="tmp-99e0b528-396a-4b17-b050-ee149ef7841a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@determinerCode)='INSTANCE'">(CDAinformationRecipient): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='PSN'">(CDAinformationRecipient): de waarde van @classCode MOET 'PSN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization"
         id="tmp-29419673-55ef-45f1-928b-5934306871be">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@determinerCode)='INSTANCE'">(CDAinformationRecipient): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='ORG'">(CDAinformationRecipient): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(CDAinformationRecipient): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-af5e6099-15d3-4407-9ad0-dadbfedbc346">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAinformationRecipient): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string-length(@extension)&gt;0">(CDAinformationRecipient): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(CDAinformationRecipient): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAinformationRecipient): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:authenticator
Item: (CDAauthenticator)
-->

<rule context="/hl7:ClinicalDocument/hl7:authenticator"
         id="tmp-86439fd1-b69e-4b77-9a9c-691cd335e069">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='AUTHEN'">(CDAauthenticator): de waarde van @typeCode MOET 'AUTHEN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:legalAuthenticator
Item: (CDlegalAuthenticator)
-->

<rule context="/hl7:ClinicalDocument/hl7:legalAuthenticator"
         id="tmp-2219f9f6-5a88-41cb-893c-13368b83817b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextControlCode)='OP'">(CDlegalAuthenticator): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='LA'">(CDlegalAuthenticator): de waarde van @typeCode MOET 'LA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:relatedDocument
Item: (CDArelatedDocument)
-->

<rule context="/hl7:ClinicalDocument/hl7:relatedDocument"
         id="tmp-9801ac2b-2d27-4013-88cb-3bd02f5ef1b9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='RPLC'">(CDArelatedDocument): de waarde van @typeCode MOET 'RPLC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAdocumentationOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (CDAdocumentationOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf"
         id="tmp-5b903663-2755-451c-9dfc-6a5370708cb5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='DOC'">(CDAdocumentationOf): de waarde van @typeCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">(CDAdocumentationOf): element hl7:serviceEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:serviceEvent)&lt;=1">(CDAdocumentationOf): element hl7:serviceEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent"
         id="tmp-8d87d412-4e93-4103-b76d-a9c8e20d1523">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(CDAdocumentationOf): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(CDAdocumentationOf): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(CDAdocumentationOf): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAdocumentationOf): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDAdocumentationOf): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAdocumentationOf): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:performer)&gt;=1 ">(CDAdocumentationOf): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:performer)&lt;=1">(CDAdocumentationOf): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:id
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:id"
         id="tmp-676a68f5-3437-4891-a3b9-9cdf8bbd9823">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:code"
         id="tmp-1b88b643-dc3a-4163-a3b3-0982807a3db9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-TypeExam-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeExam-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAdocumentationOf): de waarde van @code MOET worden gekozen uit waardenlijst TypeExam DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAdocumentationOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst TypeExam DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-89ce82bd-1f01-4b20-beb1-52f70f9fda28">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer"
         id="tmp-5cc1771d-1fe0-4be5-bf5d-9ab98fdbb969">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='PRF'">(CDAdocumentationOf): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAdocumentationOf): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAdocumentationOf): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-12c47262-8ad9-461c-a079-c666452b7707">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='ASSIGNED'">(CDAdocumentationOf): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.840.1.113883.2.4.6.1'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$elmcount&gt;=1">(CDAdocumentationOf): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.840.1.113883.2.4.6.1']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 ">(CDAdocumentationOf): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedPerson)&gt;=1 ">(CDAdocumentationOf): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAdocumentationOf): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:representedOrganization)&gt;=1 ">(CDAdocumentationOf): element hl7:representedOrganization is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAdocumentationOf): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-191a6a2f-8ef0-43a8-a48d-8b8a99447429">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string-length(@extension)&gt;0">(CDAdocumentationOf): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(CDAdocumentationOf): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAdocumentationOf): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-ad497c0e-510b-4ba0-909b-cb23234268c6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.AGB" bevatten</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string-length(@extension)&gt;0">(CDAdocumentationOf): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.1'">(CDAdocumentationOf): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAdocumentationOf): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-5c35c7e2-1d2d-4635-8df2-3494a60322af">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAdocumentationOf): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAdocumentationOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-2d1a4e26-37ad-4af6-a7a4-e45d717ec2a6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-a32746f8-b746-4c83-82f7-00338277b2bc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-cf4cec7d-f6d3-44a1-9482-d1f19f1f888c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@determinerCode)='INSTANCE'">(CDAdocumentationOf): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='PSN'">(CDAdocumentationOf): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&gt;=1 ">(CDAdocumentationOf): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-1a7a74b6-dcf3-4f93-8378-66c53bf903cf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-31b9f8c5-6f8f-434e-8ecf-67789fdb2cb2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@determinerCode)='INSTANCE'">(CDAdocumentationOf): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='ORG'">(CDAdocumentationOf): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAdocumentationOf): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:name)&gt;=1 ">(CDAdocumentationOf): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:addr)&gt;=1 ">(CDAdocumentationOf): element hl7:addr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-e73e32a0-80a4-4af6-8dad-aa7c1da89c50">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-c09709a7-dd49-4cbd-9e67-5d8df8134123">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-6fb4bb82-6f7a-4836-bc51-7bd8d8aef310">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument/hl7:component"
         id="tmp-b05032a1-fd19-48ee-bac8-19b9adb5a2ba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(cda-ctk): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(cda-ctk): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody"
         id="tmp-2e10ec61-20da-471c-a0e0-22a97dda4cba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='DOCBODY'">(cda-ctk): de waarde van @classCode MOET 'DOCBODY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(cda-ctk): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 ">(cda-ctk): element hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(cda-ctk): element hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 ">(cda-ctk): element hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=9">(cda-ctk): element hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 9x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (cda-ctk)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-a43f64bb-cbaf-42bd-905e-dcbf00d146d0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(cda-ctk): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(cda-ctk): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody
Item: (CDAPregnancyInformationSection3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAPregnancyInformationSection3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: (CDAPregnancyInformationSection3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section"
         id="tmp-e7986930-9a80-4440-b84b-8a9f37fac8a0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAPregnancyInformationSection3): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CDAPregnancyInformationSection3): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:title)&gt;=1 ">(CDAPregnancyInformationSection3): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:title)&lt;=1">(CDAPregnancyInformationSection3): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:text)&gt;=1 ">(CDAPregnancyInformationSection3): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:text)&lt;=1">(CDAPregnancyInformationSection3): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 ">(CDAPregnancyInformationSection3): element hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(CDAPregnancyInformationSection3): element hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code
Item: (CDAPregnancyInformationSection3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code"
         id="tmp-9e01cea8-f0b8-4052-9a83-a28945503c5f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAPregnancyInformationSection3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')">(CDAPregnancyInformationSection3): de waarde van @code/@codeSystem MOET ''11449-6' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title
Item: (CDAPregnancyInformationSection3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title"
         id="tmp-a1995a03-59d5-4c96-96a8-f9f0497a3f2b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAPregnancyInformationSection3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="text()='Zwangerschap'">(CDAPregnancyInformationSection3): de element content van hl7:title MOET ''Zwangerschap'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:text
Item: (CDAPregnancyInformationSection3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAPregnancyInformationSection3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-ae75a7e2-d00d-4a1a-9f48-3ef07c3ec66d">
      <extends rule="tmp-96246e25-b5ce-4583-8f05-7ebdc1a72827"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(CDAPregnancyInformationSection3): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='DRIV'">(CDAPregnancyInformationSection3): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: (CDAPregnancyInformationEntry3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAPregnancyInformationEntry3)
-->
<rule id="tmp-96246e25-b5ce-4583-8f05-7ebdc1a72827" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:organizer)&gt;=1 ">(CDAPregnancyInformationEntry3): element hl7:organizer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:organizer)&lt;=1">(CDAPregnancyInformationEntry3): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer"
         id="tmp-bccf07de-aeb0-4c32-b742-f53350e99d9b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='CLUSTER'">(CDAPregnancyInformationEntry3): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(CDAPregnancyInformationEntry3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CDAPregnancyInformationEntry3): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:statusCode)&lt;=1">(CDAPregnancyInformationEntry3): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:code
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:code"
         id="tmp-e090aba0-1b4e-44ff-bac8-f1e1eb7fa22c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAPregnancyInformationEntry3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')">(CDAPregnancyInformationEntry3): de waarde van @code/@codeSystem MOET ''11449-6' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:statusCode
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:statusCode"
         id="tmp-6665b735-27e9-4b5e-b38c-5b84d279daa5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAPregnancyInformationEntry3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='completed')">(CDAPregnancyInformationEntry3): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-9a43fd24-3bad-4fa9-b6be-3c60ac20f86a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(CDAPregnancyInformationEntry3): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(CDAPregnancyInformationEntry3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (Graviditeit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Graviditeit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Graviditeit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-10374154-5d48-4e15-a220-039485665883">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Graviditeit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Graviditeit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Graviditeit): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Graviditeit): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Graviditeit): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Graviditeit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Graviditeit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-d6f7bdbc-2271-4687-a704-19e2537ecb58">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Graviditeit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Graviditeit): de waarde van @code/@codeSystem MOET ''Gravidity' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Graviditeit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-24fda0b7-75fb-4508-b99a-d46a4809533b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Graviditeit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=75))">(Graviditeit): value MOET in bereik [0..75] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Graviditeit): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-64570542-6c5f-4ded-a48f-cf461adade08">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(CDAPregnancyInformationEntry3): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(CDAPregnancyInformationEntry3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (HoeveellingMax)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (HoeveellingMax)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (HoeveellingMax)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-f7fe01b1-f018-4e02-8951-c3b4e67ad3ed">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(HoeveellingMax): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(HoeveellingMax): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(HoeveellingMax): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(HoeveellingMax): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(HoeveellingMax): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(HoeveellingMax): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(HoeveellingMax): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(HoeveellingMax): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (HoeveellingMax)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-71630a6e-a8e5-4c3a-92d5-fe9004a3d475">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (HoeveellingMax): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(HoeveellingMax): de waarde van @code/@codeSystem MOET ''NFetusMax' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: (HoeveellingMax)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-ac9bb183-bcc9-4437-a78f-9b53e13222be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (HoeveellingMax): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (HoeveellingMax)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-3fd2e15c-e734-4917-aae8-7087554a6475">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (HoeveellingMax): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=9))">(HoeveellingMax): value MOET in bereik [1..9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(HoeveellingMax): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-a3de455e-6adb-48a6-bde3-a7bdcd5e83bf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(CDAPregnancyInformationEntry3): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(CDAPregnancyInformationEntry3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-dc18635c-6276-429b-9e2b-f7f1f6722bc2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Actueleaantalfoetus): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Actueleaantalfoetus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Actueleaantalfoetus): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Actueleaantalfoetus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Actueleaantalfoetus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Actueleaantalfoetus): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(Actueleaantalfoetus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Actueleaantalfoetus): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Actueleaantalfoetus): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-803fe517-c0b5-47dc-97a4-d35ad98e316d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-0e2b88fa-1c48-4019-a044-6467216d61e2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Actueleaantalfoetus): de waarde van @code/@codeSystem MOET ''NFetusCur' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-874e5e1b-c228-41a5-be0a-35752a164045">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-35126588-8b1f-4183-ba37-7328d5bbf265">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=9))">(Actueleaantalfoetus): value MOET in bereik [0..9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Actueleaantalfoetus): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (cda-ctk)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-2e7907b6-5ad3-42fb-8f6e-ee796e1eef55">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(cda-ctk): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(cda-ctk): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody
Item: (CDAFetusSpecificInformationSectionCTRA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAFetusSpecificInformationSectionCTRA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: (CDAFetusSpecificInformationSectionCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section"
         id="tmp-7687f697-b64c-47f7-bf8b-c8802eed689b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAFetusSpecificInformationSectionCTRA): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CDAFetusSpecificInformationSectionCTRA): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:title)&gt;=1 ">(CDAFetusSpecificInformationSectionCTRA): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:title)&lt;=1">(CDAFetusSpecificInformationSectionCTRA): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:text)&gt;=1 ">(CDAFetusSpecificInformationSectionCTRA): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:text)&lt;=1">(CDAFetusSpecificInformationSectionCTRA): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 ">(CDAFetusSpecificInformationSectionCTRA): element hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(CDAFetusSpecificInformationSectionCTRA): element hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code
Item: (CDAFetusSpecificInformationSectionCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code"
         id="tmp-ee8c717f-0eff-4853-b4b2-e40d7e360622">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAFetusSpecificInformationSectionCTRA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1')">(CDAFetusSpecificInformationSectionCTRA): de waarde van @code/@codeSystem MOET ''12130-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title
Item: (CDAFetusSpecificInformationSectionCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title"
         id="tmp-3f614f5c-4309-43fc-8eb3-4074cfdf3d23">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAFetusSpecificInformationSectionCTRA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="text()='Foetusspecifiek'">(CDAFetusSpecificInformationSectionCTRA): de element content van hl7:title MOET ''Foetusspecifiek'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:text
Item: (CDAFetusSpecificInformationSectionCTRA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAFetusSpecificInformationSectionCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-7008b7af-f9a3-47cc-912b-4f88eecdcc7e">
      <extends rule="tmp-7e9d2b36-51a9-498a-a9b4-84dd2966f7a7"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(CDAFetusSpecificInformationSectionCTRA): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='DRIV'">(CDAFetusSpecificInformationSectionCTRA): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: (CDAFetusSpecificInformationEntryCTRA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule id="tmp-7e9d2b36-51a9-498a-a9b4-84dd2966f7a7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:organizer)&gt;=1 ">(CDAFetusSpecificInformationEntryCTRA): element hl7:organizer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:organizer)&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer"
         id="tmp-1eca3104-2c3c-4ced-8064-fc4e9d5993e0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='CLUSTER'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:statusCode)&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:participant[@typeCode='SBJ'])&gt;=1 and not(hl7:participant[@typeCode='SBJ']/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:participant[@typeCode='SBJ'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:participant[@typeCode='SBJ'])&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:participant[@typeCode='SBJ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]])&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:code
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:code"
         id="tmp-48ea33f3-6ec6-4f00-ad61-db5cc560d3df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAFetusSpecificInformationEntryCTRA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1')">(CDAFetusSpecificInformationEntryCTRA): de waarde van @code/@codeSystem MOET ''12130-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:statusCode
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:statusCode"
         id="tmp-10c31ac5-befb-4116-8ac2-5f38979f8636">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CDAFetusSpecificInformationEntryCTRA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='completed')">(CDAFetusSpecificInformationEntryCTRA): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (CDAFetusParticipant)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (CDAFetusParticipant)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']
Item: (CDAFetusParticipant)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']"
         id="tmp-13a60f64-5e30-4eb4-b742-c3ea3dd932a6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='SBJ'">(CDAFetusParticipant): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(CDAFetusParticipant): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:participantRole)&lt;=1">(CDAFetusParticipant): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole
Item: (CDAFetusParticipant)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole"
         id="tmp-1a03bfbb-6570-4a84-93aa-a48121fdd09a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='PRS'">(CDAFetusParticipant): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(CDAFetusParticipant): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAFetusParticipant): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CDAFetusParticipant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole/hl7:id
Item: (CDAFetusParticipant)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole/hl7:code
Item: (CDAFetusParticipant)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole/hl7:code"
         id="tmp-ed7ff4c8-b5cc-4578-a77d-d8f137f6a5dc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">(CDAFetusParticipant): de waarde van @code/@codeSystem MOET ''CHILD' codeSystem '2.16.840.1.113883.5.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-aa729bfb-634e-4d51-97b9-f0263a90e0a3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-ec1e013f-6f9c-46a2-92cd-f73ee8cf72fb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-0b10a31d-514f-4ee3-8acf-9481659b318c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Foetusvolgletterzoalsantepartumgehanteerd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @code/@codeSystem MOET ''11951-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-22d94e3a-2a7d-428e-bed5-265e0b4586ad">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Foetusvolgletterzoalsantepartumgehanteerd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-FoetusVolgletter-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-FoetusVolgletter-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @code MOET worden gekozen uit waardenlijst FoetusVolgletter DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Foetusvolgletterzoalsantepartumgehanteerd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst FoetusVolgletter DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]"
         id="tmp-2d58add4-4026-4ec1-95db-6a2149f1ae3f">
      <extends rule="tmp-06ae9aba-0d42-4341-a6b8-037638ae2f30"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (RiskAssessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]
Item: (RiskAssessment)
-->
<rule id="tmp-06ae9aba-0d42-4341-a6b8-037638ae2f30" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:observation)&gt;=1 ">(RiskAssessment): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:observation)&lt;=1">(RiskAssessment): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation"
         id="tmp-ac00f951-4bef-424d-9d8f-3686484b056e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(RiskAssessment): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(RiskAssessment): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(RiskAssessment): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(RiskAssessment): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RiskAssessment): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(RiskAssessment): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:statusCode)&lt;=1">(RiskAssessment): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:methodCode)&gt;=1 and not(hl7:methodCode/@nullFlavor)">(RiskAssessment): element hl7:methodCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:methodCode)&lt;=1">(RiskAssessment): element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:participant[@typeCode='DEV'])&gt;=1 and not(hl7:participant[@typeCode='DEV']/@nullFlavor)">(RiskAssessment): element hl7:participant[@typeCode='DEV'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:participant[@typeCode='DEV'])&lt;=1">(RiskAssessment): element hl7:participant[@typeCode='DEV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:organizer])&gt;=1 and not(hl7:entryRelationship[hl7:organizer]/@nullFlavor)">(RiskAssessment): element hl7:entryRelationship[hl7:organizer] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:entryRelationship[hl7:organizer])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:organizer] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:id
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:id"
         id="tmp-c3af5f92-7767-4d50-adbc-694d2f22fea8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="concat(@root, @extension) = concat (//hl7:documentationOf/hl7:serviceEvent/hl7:id/@root, //hl7:documentationOf/hl7:serviceEvent/hl7:id/@extension)">(RiskAssessment):  The id of the risk assessment SHALL be the same as documentationOf-&gt;serviceEvent.id </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:code
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:code"
         id="tmp-fb70a388-0398-4ecf-9dce-030b78c6d1be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38')">(RiskAssessment): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.13.38'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:statusCode
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:statusCode"
         id="tmp-2c2e3dba-db6f-4c7b-b9ca-0b9fc361b209">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='completed')">(RiskAssessment): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:methodCode
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:methodCode"
         id="tmp-8f419f23-8e2a-46c0-8307-dc62d7d8aef2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-CombiRiskMethod-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CombiRiskMethod-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(RiskAssessment): de waarde van @code MOET worden gekozen uit waardenlijst CombiRiskMethod DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(RiskAssessment): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CombiRiskMethod DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (SoftwareApplicationRiskAssessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']
Item: (SoftwareApplicationRiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']"
         id="tmp-2aeef03d-c292-43c6-a8a1-f5f05ed9b511">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='DEV'">(SoftwareApplicationRiskAssessment): de waarde van @typeCode MOET 'DEV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(SoftwareApplicationRiskAssessment): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:participantRole)&lt;=1">(SoftwareApplicationRiskAssessment): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole
Item: (SoftwareApplicationRiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole"
         id="tmp-24f0f743-e2ac-4a90-b611-fce5f8984efc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:playingDevice)&gt;=1 and not(hl7:playingDevice/@nullFlavor)">(SoftwareApplicationRiskAssessment): element hl7:playingDevice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:playingDevice)&lt;=1">(SoftwareApplicationRiskAssessment): element hl7:playingDevice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole/hl7:playingDevice
Item: (SoftwareApplicationRiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole/hl7:playingDevice"
         id="tmp-b60380ed-892c-494e-9d40-2e9e59d197f7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@determinerCode)='INSTANCE'">(SoftwareApplicationRiskAssessment): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='DEV'">(SoftwareApplicationRiskAssessment): de waarde van @classCode MOET 'DEV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:softwareName)&gt;=1 and not(hl7:softwareName/@nullFlavor)">(SoftwareApplicationRiskAssessment): element hl7:softwareName is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:softwareName)&lt;=1">(SoftwareApplicationRiskAssessment): element hl7:softwareName komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (SoftwareApplicationRiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole/hl7:playingDevice/hl7:softwareName"
         id="tmp-75b260f5-89dd-4c98-a85e-fa2699252ae8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='SC' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (SoftwareApplicationRiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-CombiRiskSystem-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CombiRiskSystem-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SoftwareApplicationRiskAssessment): de waarde van @code MOET worden gekozen uit waardenlijst CombiRiskSystem DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SoftwareApplicationRiskAssessment): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CombiRiskSystem DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-3356c00a-604a-46e9-b9d3-d269e8671956">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (Aprioririsk21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Aprioririsk21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6585f1dd-de0b-4137-a655-dac14eceb497">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Aprioririsk21): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Aprioririsk21): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Aprioririsk21): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Aprioririsk21): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Aprioririsk21): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Aprioririsk21): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Aprioririsk21): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-93f5af2f-485e-48aa-b055-d85212796be2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-7d90e193-8664-44a4-b65b-9b215c3a47e8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Aprioririsk21): de waarde van @code/@codeSystem MOET ''APrioriRisk21' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-76ca85d7-8e76-4343-bb77-134128825d61">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(Aprioririsk21): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(Aprioririsk21): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(Aprioririsk21): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(Aprioririsk21): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-9df1d738-9cae-4dec-8a40-0d8271239a31">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Aprioririsk21): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Aprioririsk21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-21607a78-82d5-4cfe-82b1-57b2b6349a9e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Aprioririsk21): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Aprioririsk21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-ca5cf11e-67a7-44f7-9849-10456c53ad68">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (Aprioririsk18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Aprioririsk18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-04e3f123-56b6-4801-a772-f70ab2e42e86">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Aprioririsk18): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Aprioririsk18): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Aprioririsk18): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Aprioririsk18): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Aprioririsk18): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Aprioririsk18): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Aprioririsk18): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-be4afc4d-7f6e-4132-a4e8-15e032d97066">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-f3769b1e-14a0-475f-a33e-5840f2ba2449">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Aprioririsk18): de waarde van @code/@codeSystem MOET ''APrioriRisk18' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-b401b800-65f7-4aef-8d4f-9cdba5157fcd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(Aprioririsk18): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(Aprioririsk18): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(Aprioririsk18): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(Aprioririsk18): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-1c93dfce-1d86-42c1-8f04-fec62c531bd5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Aprioririsk18): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Aprioririsk18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-fb646760-a4c2-433b-9c7d-55bafb0d239e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Aprioririsk18): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Aprioririsk18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-d5869688-cf9d-44ba-bc25-96b5f1a4a267">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (Aprioririsk13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Aprioririsk13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-d9621adc-e040-4b77-bb56-a270c09d9393">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Aprioririsk13): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Aprioririsk13): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Aprioririsk13): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Aprioririsk13): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Aprioririsk13): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Aprioririsk13): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Aprioririsk13): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-a22a3a0e-dbbc-4df2-8e22-c1db6c270bb0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-e869e640-0576-4b2e-8aa5-fdd743f8565d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Aprioririsk13): de waarde van @code/@codeSystem MOET ''APrioriRisk13' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-13706fb2-7b2c-41e1-8a23-494699828149">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(Aprioririsk13): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(Aprioririsk13): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(Aprioririsk13): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(Aprioririsk13): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-ea597791-0b93-4c4d-b9f4-839612554f29">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Aprioririsk13): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Aprioririsk13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-6bd69535-9ed9-4384-8000-211b2a710660">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Aprioririsk13): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Aprioririsk13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-1651ecac-5050-4453-9207-efb2ffdbcd76">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (RiskTrisomy21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskTrisomy21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-d4913798-dab3-441f-b186-6b16463c34a3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(RiskTrisomy21): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(RiskTrisomy21): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(RiskTrisomy21): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RiskTrisomy21): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(RiskTrisomy21): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(RiskTrisomy21): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(RiskTrisomy21): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-d92d6821-fdfb-49e7-aff9-9dbf8dfa7a3a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-3b0a908c-de63-4047-8fb8-b88070f04aa0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(RiskTrisomy21): de waarde van @code/@codeSystem MOET ''RiskTrisomy21' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-a359066e-44aa-4298-a21f-688c2ee33af8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(RiskTrisomy21): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(RiskTrisomy21): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(RiskTrisomy21): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(RiskTrisomy21): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-a0628f78-f340-4d42-9660-c4d991cf4aa8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(RiskTrisomy21): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(RiskTrisomy21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-b9e2953f-c6a9-4c2e-9a32-cb47845bb508">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(RiskTrisomy21): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(RiskTrisomy21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-877c06ab-217b-4d18-9983-2f8f44a348f5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (RiskTrisomy18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskTrisomy18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-06cd696f-b367-41c6-a44c-8c9749900ba0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(RiskTrisomy18): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(RiskTrisomy18): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(RiskTrisomy18): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RiskTrisomy18): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(RiskTrisomy18): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(RiskTrisomy18): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(RiskTrisomy18): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-930d59d4-d2f4-4398-99e0-1c89fa4b78f7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-2801f6a3-a60d-4ddf-a5de-68ac44e86f5e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(RiskTrisomy18): de waarde van @code/@codeSystem MOET ''RiskTrisomy18' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-8948ebf7-0df8-4dea-b35f-c3ce08791606">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(RiskTrisomy18): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(RiskTrisomy18): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(RiskTrisomy18): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(RiskTrisomy18): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-5df9862e-b749-4080-a6e8-e44d68752bd7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(RiskTrisomy18): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(RiskTrisomy18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-847307d0-96ad-4475-bd10-0e25daa89126">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(RiskTrisomy18): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(RiskTrisomy18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-5b0065e2-bcf0-49ab-be75-770fbb5ff44b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (RiskTrisomy13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskTrisomy13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-5813432c-2409-475b-8e3d-f204c7858f07">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(RiskTrisomy13): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(RiskTrisomy13): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(RiskTrisomy13): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RiskTrisomy13): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(RiskTrisomy13): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(RiskTrisomy13): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(RiskTrisomy13): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-04737e1c-9d19-4db1-8029-47c5e50cdcd7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-40c3325a-7a69-4c25-a66c-96c83b01e6ca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(RiskTrisomy13): de waarde van @code/@codeSystem MOET ''RiskTrisomy13' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-50c210f3-5f3f-4617-9d59-a734bb45b7dd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(RiskTrisomy13): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(RiskTrisomy13): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(RiskTrisomy13): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(RiskTrisomy13): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-ede44340-5ac5-4dbb-8e31-b6b548017080">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(RiskTrisomy13): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(RiskTrisomy13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-5b9ec13c-7c6f-4d65-aa1d-426689c6124a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(RiskTrisomy13): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(RiskTrisomy13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]"
         id="tmp-d48819f1-a68e-4114-97d5-0b722374c681">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='DRIV'">(RiskAssessment): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(RiskAssessment): element hl7:organizer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:organizer)&lt;=1">(RiskAssessment): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer"
         id="tmp-bb017ada-ba42-434b-b5b6-87013bcbd3ee">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='CLUSTER'">(RiskAssessment): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(RiskAssessment): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:statusCode)&lt;=1">(RiskAssessment): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:statusCode
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:statusCode"
         id="tmp-cb8dceac-7912-4a4c-a6e8-efdff190bcd8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='completed')">(RiskAssessment): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-c6005e71-0f95-413d-bbec-cf56c5c716ea">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Cutofft21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Cutofft21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-3cce2d21-60c6-480e-9ec8-6858b01e32dc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Cutofft21): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Cutofft21): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Cutofft21): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Cutofft21): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Cutofft21): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Cutofft21): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Cutofft21): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-2ba77f8d-831e-4099-bbc4-2b229eac3b9b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-a29a0095-0778-4616-8555-e6266aa0a492">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Cutofft21): de waarde van @code/@codeSystem MOET ''CutOffTrisomy21' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-0611f0d3-4bf0-4576-9d0f-6aaeee6e226a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(Cutofft21): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(Cutofft21): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(Cutofft21): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(Cutofft21): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-b8288462-f91d-4201-8915-cf7053d48384">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Cutofft21): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Cutofft21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-a3c64098-da6f-4b76-aa46-f10bcb01ec4a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Cutofft21): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Cutofft21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-73d6b4c2-9333-4236-8af7-1b0fdc182a94">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Cutofft18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Cutofft18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-7b00b99d-8a39-46e9-9c2b-28dc25ed4341">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Cutofft18): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Cutofft18): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Cutofft18): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Cutofft18): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Cutofft18): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Cutofft18): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Cutofft18): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-40733645-aef3-46a7-9958-a842468e1fae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-a8781df9-406f-45c1-a97b-dd397c8e5cde">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Cutofft18): de waarde van @code/@codeSystem MOET ''CutOffTrisomy18' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-4f6ca006-720c-44a3-80ea-b457c6da7c08">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(Cutofft18): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(Cutofft18): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(Cutofft18): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(Cutofft18): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-bdcc530a-871b-446f-a598-5f1a65f884df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Cutofft18): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Cutofft18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-b5541841-4cfc-4461-8fa2-ec321cd67891">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Cutofft18): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Cutofft18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-ac723eb2-744f-4169-8756-f8ca2858f4e6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Cutofft13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Cutofft13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-eceaf4e1-4ec1-48b0-a718-7260196654f2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Cutofft13): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Cutofft13): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Cutofft13): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Cutofft13): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Cutofft13): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Cutofft13): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Cutofft13): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-d504e984-bc0c-4b29-ae2e-21d76de77628">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-1982de85-24b6-4963-9e31-9542fbb01bfb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Cutofft13): de waarde van @code/@codeSystem MOET ''CutOffTrisomy13' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-a68a2ecd-dc42-4072-941d-92b333a0dc9f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&gt;=1 ">(Cutofft13): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:numerator)&lt;=1">(Cutofft13): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&gt;=1 ">(Cutofft13): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:denominator)&lt;=1">(Cutofft13): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-1722f814-0380-465e-acdf-7881212c9970">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Cutofft13): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Cutofft13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-fe2c3887-c443-44d9-a201-9eecd01f1bf2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Cutofft13): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Cutofft13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-c9375624-4e90-4ed8-a3e6-fd4e18fffec3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (ActualPregnancyDuration)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (ActualPregnancyDuration)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (ActualPregnancyDuration)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-85cb8914-3bc4-4398-b7bf-3ab9b48a8d7f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(ActualPregnancyDuration): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(ActualPregnancyDuration): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(ActualPregnancyDuration): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ActualPregnancyDuration): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(ActualPregnancyDuration): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(ActualPregnancyDuration): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(ActualPregnancyDuration): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (ActualPregnancyDuration)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-68e48299-c549-453c-9396-63710fd04c77">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ActualPregnancyDuration): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (ActualPregnancyDuration)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-b53af8b5-a8c8-4524-84ab-96c9add78e73">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ActualPregnancyDuration): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1')">(ActualPregnancyDuration): de waarde van @code/@codeSystem MOET ''18185-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (ActualPregnancyDuration)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-c0062712-4703-4f94-a5ae-b0020b11a90d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ActualPregnancyDuration): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='d' and number($theValue)&gt;=0))">(ActualPregnancyDuration): value MOET eenheid 'd' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(ActualPregnancyDuration): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(ActualPregnancyDuration): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-20f32b4c-3218-4e12-8285-99cda76b4723">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-71da862a-2d65-42a5-aeee-43d7a8b6aa8b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Actueleaantalfoetus): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Actueleaantalfoetus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Actueleaantalfoetus): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Actueleaantalfoetus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Actueleaantalfoetus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Actueleaantalfoetus): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(Actueleaantalfoetus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Actueleaantalfoetus): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Actueleaantalfoetus): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-6fd2b0d4-1e35-4fc7-a71e-f5afa40fa22a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-fc0dd232-944c-4d6b-92bf-02bb841f818e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Actueleaantalfoetus): de waarde van @code/@codeSystem MOET ''NFetusCur' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-ef985147-29ef-42ba-869f-77b90beac182">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-b60161cb-4cdc-4b58-8de0-3caec67d1a3e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=9))">(Actueleaantalfoetus): value MOET in bereik [0..9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Actueleaantalfoetus): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-197fe6f9-357f-4e11-879f-63989b62a9bf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Chorioniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Chorioniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Chorioniciteit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6af249b8-ac3f-41a4-b89a-d0ac752dcb93">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Chorioniciteit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Chorioniciteit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Chorioniciteit): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Chorioniciteit): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Chorioniciteit): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Chorioniciteit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Chorioniciteit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-bdd63a75-bfb7-4cbd-bad7-d53ac2f6a4cd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Chorioniciteit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Chorioniciteit): de waarde van @code/@codeSystem MOET ''Chorionic' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Chorioniciteit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-9ba448eb-8eeb-4a62-8fed-257a6268e062">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Chorioniciteit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-Chorioniciteit-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Chorioniciteit-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Chorioniciteit): de waarde van @code MOET worden gekozen uit waardenlijst Chorioniciteit DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Chorioniciteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Chorioniciteit DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-b4a265f4-db7f-41f1-98d5-57bd0fa2bc20">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (RiskAssessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-0bfb746e-7c9e-47b1-b8f4-c9e509a937a4">
      <extends rule="tmp-06717d40-79b9-49bd-83b2-38bb7568127e"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=100 and number($theValue)&lt;=270))">(RiskAssessment): value MOET in bereik [100..270] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(RiskAssessment): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(RiskAssessment): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (BodyHeight)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (BodyHeight)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (BodyHeight)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-b4bf8f18-2f2c-4c2c-9815-2f76205f53a1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(BodyHeight): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(BodyHeight): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(BodyHeight): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(BodyHeight): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(BodyHeight): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(BodyHeight): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (BodyHeight)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-78094c45-ae6e-4086-935c-033e3b736c56">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (BodyHeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')">(BodyHeight): de waarde van @code/@codeSystem MOET ''3137-7' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (BodyHeight)
-->
<rule id="tmp-06717d40-79b9-49bd-83b2-38bb7568127e" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (BodyHeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='cm' and number($theValue)&gt;=0 and number($theValue)&lt;=270))">(BodyHeight): value MOET eenheid 'cm' gebruiken en in bereik [0..270] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(BodyHeight): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BodyHeight): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-4d85b6d9-06e3-4182-9ecf-e93864ea8915">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (RiskAssessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-d77606de-b0ab-4895-b095-83bc5cd87e38">
      <extends rule="tmp-b5788270-67b8-45c7-a354-bed26f67cff0"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (number($theValue)&gt;=25.0 and number($theValue)&lt;=249.9))">(RiskAssessment): value MOET in bereik [25.0..249.9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(RiskAssessment): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(RiskAssessment): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (BodyWeight)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (BodyWeight)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (BodyWeight)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-1dbfeab2-8f50-4577-9f01-a0ea30541e43">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(BodyWeight): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(BodyWeight): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(BodyWeight): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(BodyWeight): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(BodyWeight): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(BodyWeight): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (BodyWeight)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-65cce9b1-c547-450f-b779-87f32c66e0d0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (BodyWeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')">(BodyWeight): de waarde van @code/@codeSystem MOET ''3141-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (BodyWeight)
-->
<rule id="tmp-b5788270-67b8-45c7-a354-bed26f67cff0" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (BodyWeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='kg' and number($theValue)&gt;=0 and number($theValue)&lt;=249.9))">(BodyWeight): value MOET eenheid 'kg' gebruiken en in bereik [0..249.9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(BodyWeight): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BodyWeight): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-a29c4310-cf16-47bd-a697-95308e442220">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (DiabetesTypeI)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (DiabetesTypeI)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: (DiabetesTypeI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-b60fe9d4-bdae-4cfe-a790-6d23975beb52">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(DiabetesTypeI): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(DiabetesTypeI): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(DiabetesTypeI): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(DiabetesTypeI): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(DiabetesTypeI): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(DiabetesTypeI): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(DiabetesTypeI): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id
Item: (DiabetesTypeI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id"
         id="tmp-2b402894-3fd2-4b49-8b78-461922bf2212">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (DiabetesTypeI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: (DiabetesTypeI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-ae70c632-fd3b-43bc-a726-46ad038fee7a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (DiabetesTypeI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='46635009' and @codeSystem='2.16.840.1.113883.6.96')">(DiabetesTypeI): de waarde van @code/@codeSystem MOET ''46635009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: (DiabetesTypeI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-9c815410-263d-4af6-aa6a-79ee4300e2ca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (DiabetesTypeI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-a1daa788-2e37-4ddc-b9d8-88630ab70ff1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (IVFICSI)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (IVFICSI)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: (IVFICSI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-d1b48c0a-412b-4db0-bfc6-5f3146ba3759">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(IVFICSI): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(IVFICSI): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(IVFICSI): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(IVFICSI): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(IVFICSI): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(IVFICSI): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(IVFICSI): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id
Item: (IVFICSI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id"
         id="tmp-12d95b71-e0f0-4699-a0b0-f14a489ae7e3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (IVFICSI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: (IVFICSI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-c9c6db80-04fc-4bf7-8f84-62328cb8635a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (IVFICSI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='52637005' and @codeSystem='2.16.840.1.113883.6.96')">(IVFICSI): de waarde van @code/@codeSystem MOET ''52637005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: (IVFICSI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-8d2eb15b-5e25-4884-8c83-ec5350a2e32d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (IVFICSI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-71562aa1-64c8-482e-944c-66a7930e7daf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (TrisomyInHistory)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (TrisomyInHistory)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (TrisomyInHistory)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-855c5fa0-5f63-4fc7-a046-ccd3920c23c5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(TrisomyInHistory): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(TrisomyInHistory): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(TrisomyInHistory): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TrisomyInHistory): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(TrisomyInHistory): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(TrisomyInHistory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(TrisomyInHistory): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (TrisomyInHistory)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-a9ba1c4b-0016-4ed1-bb95-6d9037e2ec92">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (TrisomyInHistory): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (TrisomyInHistory)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-4a0c005d-bb67-4e77-a255-bd294c6b355e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (TrisomyInHistory): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(TrisomyInHistory): de waarde van @code/@codeSystem MOET ''TrisomyAnam' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (TrisomyInHistory)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-c107d2d0-4717-4fae-a0c9-3ca62c9bc004">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (TrisomyInHistory): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-22840b13-b8ed-4dd2-9b27-2334aed2964f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (TobaccoSmoker)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (TobaccoSmoker)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: (TobaccoSmoker)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-df23d307-2a9d-478f-a126-4b726881000c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(TobaccoSmoker): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(TobaccoSmoker): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(TobaccoSmoker): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TobaccoSmoker): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(TobaccoSmoker): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(TobaccoSmoker): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(TobaccoSmoker): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id
Item: (TobaccoSmoker)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id"
         id="tmp-59d6a4e6-01a9-4857-a84a-497d936f964a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (TobaccoSmoker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: (TobaccoSmoker)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-9c3e5197-eb56-4cdd-aaaf-50a922513669">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (TobaccoSmoker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='77176002' and @codeSystem='2.16.840.1.113883.6.96')">(TobaccoSmoker): de waarde van @code/@codeSystem MOET ''77176002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: (TobaccoSmoker)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-9e8fd86b-6145-43d7-856f-c132b054637d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (TobaccoSmoker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-8744c221-455e-4a7d-8f2a-14125dbeec01">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Ethnicgroup)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (Ethnicgroup)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (Ethnicgroup)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-4f384186-dad8-4bf7-b294-92c0e6e50e54">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Ethnicgroup): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Ethnicgroup): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Ethnicgroup): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Ethnicgroup): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Ethnicgroup): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Ethnicgroup): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Ethnicgroup): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (Ethnicgroup)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-5db87502-47ab-4059-abcf-c572172d0624">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Ethnicgroup): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (Ethnicgroup)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-b7179483-2b0c-44ff-aab6-159fb60b8efc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Ethnicgroup): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')">(Ethnicgroup): de waarde van @code/@codeSystem MOET ''42784-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (Ethnicgroup)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-4f2bbce5-1351-43da-9921-c2ee1895279d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Ethnicgroup): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Ethnicgroup): de waarde van @code MOET worden gekozen uit waardenlijst EthnicGroup DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Ethnicgroup): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst EthnicGroup DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-5a5f68d5-6d0a-4332-aec2-42887aca7d16">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (PAPPAconcentrationinmiul)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (PAPPAconcentrationinmiul)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (PAPPAconcentrationinmiul)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-4a08c4de-0f19-4191-9a67-5cc8d093c034">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(PAPPAconcentrationinmiul): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(PAPPAconcentrationinmiul): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(PAPPAconcentrationinmiul): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PAPPAconcentrationinmiul): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(PAPPAconcentrationinmiul): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(PAPPAconcentrationinmiul): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(PAPPAconcentrationinmiul): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (PAPPAconcentrationinmiul)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-2be1df20-d905-4354-841d-d794949f4d10">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAconcentrationinmiul): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (PAPPAconcentrationinmiul)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-ef24b53d-1a05-4cc5-8ac8-580db39787fb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAconcentrationinmiul): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1')">(PAPPAconcentrationinmiul): de waarde van @code/@codeSystem MOET ''32046-5' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (PAPPAconcentrationinmiul)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-7d5b4828-55d7-4a29-8245-46ee7286d2e3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAconcentrationinmiul): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='m[iU]/l'))">(PAPPAconcentrationinmiul): value MOET eenheid 'm[iU]/l' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(PAPPAconcentrationinmiul): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(PAPPAconcentrationinmiul): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-88c7e7f1-1b85-4349-9a4d-ee01ecd51971">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (PAPPAconcentrationinmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (PAPPAconcentrationinmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (PAPPAconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-feb9e533-fde0-4512-92b6-c8865e11d01d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(PAPPAconcentrationinmom): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(PAPPAconcentrationinmom): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(PAPPAconcentrationinmom): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PAPPAconcentrationinmom): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(PAPPAconcentrationinmom): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(PAPPAconcentrationinmom): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(PAPPAconcentrationinmom): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (PAPPAconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-41c88818-2273-46e2-92b8-dce0b05a174e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (PAPPAconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-0f2bf0f9-252f-411f-ab8a-f3ed2372a508">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1')">(PAPPAconcentrationinmom): de waarde van @code/@codeSystem MOET ''32123-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (PAPPAconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-9cc8d154-f729-4c5e-8f30-ef578ceb680b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(PAPPAconcentrationinmom): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(PAPPAconcentrationinmom): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(PAPPAconcentrationinmom): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-a3d0a4e1-0316-4d4c-9a65-fba3d25942fa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Freebetahcginngml)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (Freebetahcginngml)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (Freebetahcginngml)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-312f335d-e0c5-477b-864c-c4ead555a28a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Freebetahcginngml): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Freebetahcginngml): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Freebetahcginngml): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Freebetahcginngml): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Freebetahcginngml): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Freebetahcginngml): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Freebetahcginngml): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (Freebetahcginngml)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-aaf91d02-6fe7-4dd3-bc3e-70376c78ef33">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freebetahcginngml): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (Freebetahcginngml)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-d10a8410-690a-4429-b620-28e40c12579e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freebetahcginngml): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1')">(Freebetahcginngml): de waarde van @code/@codeSystem MOET ''25373-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (Freebetahcginngml)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-212cd480-d8f6-44ac-a84d-9befd43462d0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freebetahcginngml): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='ng/ml'))">(Freebetahcginngml): value MOET eenheid 'ng/ml' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Freebetahcginngml): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Freebetahcginngml): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-d7726705-32dc-45e6-b39c-87f437bb6bb7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Freebetahcginmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (Freebetahcginmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (Freebetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-e81d8078-ba87-44a2-9e08-d532545f1342">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Freebetahcginmom): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Freebetahcginmom): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Freebetahcginmom): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Freebetahcginmom): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Freebetahcginmom): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Freebetahcginmom): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Freebetahcginmom): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (Freebetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-e1e3f257-e260-4605-9b4b-d94f636badd7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freebetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (Freebetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-c70702e7-219a-495a-bcba-ea0e454804aa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freebetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1')">(Freebetahcginmom): de waarde van @code/@codeSystem MOET ''32122-4' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (Freebetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-946bb3b4-e247-4be0-a499-ac426d5b1f72">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freebetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(Freebetahcginmom): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Freebetahcginmom): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Freebetahcginmom): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2d1ba1b5-c0ee-443e-8233-c1ed86bf74b4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (PAPPAcorrectedconcentrationinmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (PAPPAcorrectedconcentrationinmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (PAPPAcorrectedconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-5d2835c8-4444-4b8f-b897-c6e5bb7c73c2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(PAPPAcorrectedconcentrationinmom): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(PAPPAcorrectedconcentrationinmom): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(PAPPAcorrectedconcentrationinmom): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PAPPAcorrectedconcentrationinmom): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(PAPPAcorrectedconcentrationinmom): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(PAPPAcorrectedconcentrationinmom): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(PAPPAcorrectedconcentrationinmom): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (PAPPAcorrectedconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-fdec34f8-76f0-41ee-88f3-9a046b266cba">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAcorrectedconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (PAPPAcorrectedconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-2bf57d4c-4f86-4fb9-9bb6-96800f4a77e1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAcorrectedconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(PAPPAcorrectedconcentrationinmom): de waarde van @code/@codeSystem MOET ''CorrPAPPA' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (PAPPAcorrectedconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-bf6b1400-0cfb-496e-845d-06400cd7e2c7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (PAPPAcorrectedconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(PAPPAcorrectedconcentrationinmom): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(PAPPAcorrectedconcentrationinmom): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(PAPPAcorrectedconcentrationinmom): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-4c7b6d63-8fd4-4963-9162-86311a14da25">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Freecorrectedbetahcginmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Freecorrectedbetahcginmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Freecorrectedbetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-e94627df-064f-4ecd-a4cb-c3f57d503072">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(Freecorrectedbetahcginmom): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(Freecorrectedbetahcginmom): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:id)&lt;=1">(Freecorrectedbetahcginmom): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Freecorrectedbetahcginmom): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(Freecorrectedbetahcginmom): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(Freecorrectedbetahcginmom): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(Freecorrectedbetahcginmom): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Freecorrectedbetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-b9493610-50aa-4ebb-b692-f1f50e6d4f85">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freecorrectedbetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Freecorrectedbetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-1d46771d-2505-422a-a326-1abfa4c359dc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freecorrectedbetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Freecorrectedbetahcginmom): de waarde van @code/@codeSystem MOET ''CorrFBhCG' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Freecorrectedbetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-cfb2cd76-319a-415e-9a64-110f9e28d0e1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Freecorrectedbetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(Freecorrectedbetahcginmom): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(Freecorrectedbetahcginmom): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Freecorrectedbetahcginmom): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-70934429-b84f-4abd-a03e-3707609acb2a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-80d232df-5aad-497e-b262-bb503726c44a">
      <extends rule="tmp-0c39cdbe-4b23-487e-a64b-c8dd0656498e"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(RiskAssessment): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(RiskAssessment): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-9a82f02d-ba6c-4183-ae57-7b44aab720e1">
      <extends rule="tmp-f9decb95-be27-4b26-8c45-4b0392134931"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (NuchalTranslucencyinmm)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (NuchalTranslucencyinmm)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (NuchalTranslucencyinmm)
-->
<rule id="tmp-0c39cdbe-4b23-487e-a64b-c8dd0656498e" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(NuchalTranslucencyinmm): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(NuchalTranslucencyinmm): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(NuchalTranslucencyinmm): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(NuchalTranslucencyinmm): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(NuchalTranslucencyinmm): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(NuchalTranslucencyinmm): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(NuchalTranslucencyinmm): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (NuchalTranslucencyinmm)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-e993ac5c-d4e9-41a1-9fcd-e38f09412482">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (NuchalTranslucencyinmm): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1')">(NuchalTranslucencyinmm): de waarde van @code/@codeSystem MOET ''12146-7' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime
Item: (NuchalTranslucencyinmm)
-->
<rule id="tmp-f9decb95-be27-4b26-8c45-4b0392134931" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (NuchalTranslucencyinmm): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (NuchalTranslucencyinmm)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-79b1dd5d-cf64-4717-9abf-d3214bb7c646">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (NuchalTranslucencyinmm): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='mm' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{1,99}$'))))">(NuchalTranslucencyinmm): value MOET eenheid 'mm' gebruiken en tot op minstens 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(NuchalTranslucencyinmm): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(NuchalTranslucencyinmm): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-7e399d9f-501f-4c15-844c-07774639ddaa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (NuchalTranslucencyinMoM)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (NuchalTranslucencyinMoM)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (NuchalTranslucencyinMoM)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-cfc1e298-9dcd-48f1-92b4-9ddf9208f709">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(NuchalTranslucencyinMoM): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(NuchalTranslucencyinMoM): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(NuchalTranslucencyinMoM): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(NuchalTranslucencyinMoM): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(NuchalTranslucencyinMoM): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(NuchalTranslucencyinMoM): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (NuchalTranslucencyinMoM)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-ab146844-e490-486c-b02a-5a4f46146fbd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (NuchalTranslucencyinMoM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1')">(NuchalTranslucencyinMoM): de waarde van @code/@codeSystem MOET ''49035-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (NuchalTranslucencyinMoM)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-df6ac90c-08ed-482b-af10-be287bc23e0a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (NuchalTranslucencyinMoM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(NuchalTranslucencyinMoM): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(NuchalTranslucencyinMoM): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(NuchalTranslucencyinMoM): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-46e15fe4-a9ba-4193-9fcd-b1c61555d756">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (CrownBodyLength)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CrownBodyLength)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (CrownBodyLength)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-66837182-d9ea-41f4-a04c-cd735f520211">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(CrownBodyLength): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(CrownBodyLength): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CrownBodyLength): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(CrownBodyLength): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(CrownBodyLength): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(CrownBodyLength): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (CrownBodyLength)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-66fe49d6-34b0-4c55-b8e2-71b244b6c6e4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CrownBodyLength): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1')">(CrownBodyLength): de waarde van @code/@codeSystem MOET ''11957-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (CrownBodyLength)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-7beca65d-d537-4d9c-8c75-07ab67122cef">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (CrownBodyLength): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='mm' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{1,99}$'))))">(CrownBodyLength): value MOET eenheid 'mm' gebruiken en tot op minstens 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(CrownBodyLength): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(CrownBodyLength): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-b32b6b8e-446d-40e7-aa91-ccbe3881e8a9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (BiparitalDiameter)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (BiparitalDiameter)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (BiparitalDiameter)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-bc91c9ed-44cc-477f-9e9e-d1375f9fd41b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@classCode)='OBS'">(BiparitalDiameter): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="string(@moodCode)='EVN'">(BiparitalDiameter): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(BiparitalDiameter): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:code)&lt;=1">(BiparitalDiameter): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&gt;=1 ">(BiparitalDiameter): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="count(hl7:value)&lt;=1">(BiparitalDiameter): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (BiparitalDiameter)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-f0bc04e0-762f-469e-9307-b1b714dd2f11">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (BiparitalDiameter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or (@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1')">(BiparitalDiameter): de waarde van @code/@codeSystem MOET ''11820-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (BiparitalDiameter)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-378e2422-c30a-4f11-bfa8-821b93baafae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (BiparitalDiameter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="(@nullFlavor or (@unit='mm' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{1,99}$'))))">(BiparitalDiameter): value MOET eenheid 'mm' gebruiken en tot op minstens 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$digitok or @nullFlavor">(BiparitalDiameter): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-develop/tmp-2.16.840.1.113883.2.4.6.10.90.3.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BiparitalDiameter): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
